# PBUVideoPlayer
> 封装了一下cc视频播放器
#### 安装
```js
npm i pbu-video-player --save
```
#### 版本
```
3.0.3 
增加回调参数
  // 拖拽进度条的回调
  onPlayerSeek: PropTypes.func,
  // 每秒回调视频播放进度（联动倍速）
  onRuntimeChange: PropTypes.func,
  // 当前是否允许播放
  isCanPlayState: PropTypes.bool
```
```
3.0.2 修复视频进度（flash=>h5）
```

#### 使用
```js
import React from 'react';
import ReactDOM from 'react-dom';
import PBUVideoPlayer from 'pbu-video-player';

ReactDOM.render(<PBUVideoPlayer vid={'xxxxxx'}/>, mountedDom);
```

#### 参数接口说明
```js
PBUVideoPlayer.propTypes = {
 /**
     * siteId
     */
	siteId: PropTypes.string.isRequired,

    /**
     * 视频唯一标识符
     */
	vid: PropTypes.string.isRequired,
    /**
     * 播放器宽度
     */
	width: PropTypes.number,
    /**
     * 播放器高度
     */
	height: PropTypes.number,
    /**
     * 是否自动播放，默认false
     */
	autoStart: PropTypes.bool,
    /**
     * 播放器id，
     */
	playerid: PropTypes.string,
    /**
     * @param currentPosition  已播放的秒数
     */
	onRecordPlaytime: PropTypes.func,
    /**
     * 获取用于鉴权的验证码
     * @param {string} vid 视频id
     * @return {string}
     */
	onGetVerificationCode: PropTypes.func,
	/**
     * 定时回调播放时长
     * @param {number}  间隔时间
     */
	interval: PropTypes.number,
}

```
